//+------------------------------------------------------------------+
//|                                                     straddle.mq4 |
//|                                                              SAC |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#include <stdlib.mqh>
#include <WinUser32.mqh>

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
//| script "trading for all money"                                   |
//+------------------------------------------------------------------+
int start()
  {

  double Lots = 1.00;
  int pipDeviation = 20; // Min 5
  int StopLoss = 15;       
  int TakeProfit = 40;
  

//----
   if(MessageBox("Do you really want to do a straddle stragegy for "+DoubleToStr(Lots, 1)+" "+Symbol()+
                  " at ASK/BID price +/- "+pipDeviation+" pips, S/L = "+StopLoss+", TakeProfit = "+TakeProfit,
                 "NEWS Straddle strat.",MB_YESNO|MB_ICONQUESTION)!=IDYES) return(1);
   if(StopLoss == 0) 
      {
         MessageBox("StopLoss cannot be 0!");
         return (1);
      }
      
//----
   double TPCheck = 0;
   if(TakeProfit != 0) TPCheck = Ask+ (pipDeviation + TakeProfit)*Point;

   
   int ticket1=OrderSend(Symbol(),OP_BUYSTOP,Lots,Ask+pipDeviation*Point,0,Ask+(pipDeviation-StopLoss)*Point,
                           TPCheck,"Straddle BUY",255,0,Yellow);

   if(ticket1<1)
     {
      int error1=GetLastError();
      Print("Error on Buy Ticket= ",ErrorDescription(error1));
      return;
     }




//----
   OrderPrint();
//----
   TPCheck = 0;
   if(TakeProfit != 0) TPCheck = Bid - (pipDeviation + TakeProfit)* Point;
   int ticket2=OrderSend(Symbol(),OP_SELLSTOP,Lots,Bid - pipDeviation * Point,0,Bid-(pipDeviation-StopLoss)*Point,
               TPCheck,"Straddle SELL",255,0,Yellow);
   
   if(ticket2<1)
     {
      int error2=GetLastError();
      Print("Error on Sell ticket= ",ErrorDescription(error2));
      return;
     }
//----
   OrderPrint();
   return(0);
  }
//+------------------------------------------------------------------+